<?php
function _guestbookUpdate()
{
	global $objDatabase, $objUpdate, $_CONFIG;

    $query = "
    ALTER TABLE ".DBPREFIX."module_guestbook
    CHANGE COLUMN id id integer(6) UNSIGNED NOT NULL auto_increment
    ";
    if (!$objDatabase->Execute($query)) {
    	return _databaseError($query, $objDatabase->ErrorMsg());
    }

    $query = "SELECT 1 FROM `".DBPREFIX."module_guestbook_settings` WHERE `name` = 'guestbook_only_lang_entries'";
    if (($objResult = $objDatabase->SelectLimit($query, 1)) !== false) {
    	if ($objResult->RecordCount() == 0) {
	    	$query = "INSERT INTO `".DBPREFIX."module_guestbook_settings` (`name`, `value`) VALUES ('guestbook_only_lang_entries', '1')";
	    	if ($objDatabase->Execute($query) === false) {
	    		return _databaseError($query, $objDatabase->ErrorMsg());
	    	}
    	}
    } else {
    	return _databaseError($query, $objDatabase->ErrorMsg());
    }

    if ($objUpdate->_isNewerVersion($_CONFIG['coreCmsVersion'], '1.2.0')) {
    	$query = 'SELECT `id`, `nickname`, `comment`, `location` FROM `'.DBPREFIX.'module_guestbook`';
    	$objEntry = $objDatabase->Execute($query);
    	if ($objEntry !== false) {
    		while (!$objEntry->EOF) {
    			// addslashes(stripslashes($foo)) is required to remove obsolete slashes and to avoid quotation problems when updating the datarow
    			$query = "UPDATE `".DBPREFIX."module_guestbook` SET `nickname` = '".addslashes(stripslashes(html_entity_decode($objEntry->fields['nickname'], ENT_QUOTES, CONTREXX_CHARSET)))."', `comment` = '".addslashes(stripslashes(html_entity_decode($objEntry->fields['comment'], ENT_QUOTES, CONTREXX_CHARSET)))."', `location` = '".addslashes(stripslashes(html_entity_decode($objEntry->fields['location'], ENT_QUOTES, CONTREXX_CHARSET)))."' WHERE `id` = ".$objEntry->fields['id'];
    			if ($objDatabase->Execute($query) === false) {
    				return _databaseError($query, $objDatabase->ErrorMsg());
    			}
    			$objEntry->MoveNext();
    		}
    	} else {
    		return _databaseError($query, $objDatabase->ErrorMsg());
    	}
    }

    return true;
}
?>
